# Harvest

Auto log GIT activity on Harvest.  

## Installation

    $ gem install harvest

## Usage

1. Navigate to the project directory.

2. Initialize the harvest configuration by

```bash
    harvest init
```

3. Enter all the prompts with correct credentials. Credential file is stored in `$ROOT/.harvest/config.json` file.

4. Now the gem can start tracking on Harvest. When you want to start tracking, simply run `harvest start`


## Using with Git Hooks

1. Create a git hook file

```bash
touch .git/hooks/post-checkout
```  

2. Add following script in the file

```bash
#!/bin/sh
harvest start
```

3. Make the file executable

```bash
chmod +x .git/hooks/post-checkout
```

Now the gem will auto log on Harvest on every git checkout.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/abhinavmsra/harvest. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Harvest project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/harvest/blob/master/CODE_OF_CONDUCT.md).
